<?php
class UtilsController{
    private $model;

    function __construct(){
        $this->model = new UtilsModel();
    }

    public function downloadFile(){
        $fileName = isset($_REQUEST['fileName']) ? $_REQUEST['fileName'] : '';
        $idDocument = isset($_REQUEST['idDocument']) ? $_REQUEST['idDocument'] : 0;
        $fileType = isset($_REQUEST['fileType']) ? $_REQUEST['fileType'] : '';
        echo $this->model->downloadFile($idDocument, $fileName, $fileType);
    }
}
